<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: &lt;RTCVideoRenderer&gt; Protocol Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="protocol_r_t_c_video_renderer-p-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">&lt;RTCVideoRenderer&gt; Protocol Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for &lt;RTCVideoRenderer&gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_r_t_c_video_renderer-p.png" usemap="#_3CRTCVideoRenderer_3E_map" alt=""/>
  <map id="_3CRTCVideoRenderer_3E_map" name="_3CRTCVideoRenderer_3E_map">
<area href="interface_r_t_c_e_a_g_l_video_view.html" alt="RTCEAGLVideoView" shape="rect" coords="0,112,136,136"/>
<area href="interface_r_t_c_m_t_l_video_view.html" alt="RTCMTLVideoView" shape="rect" coords="146,112,282,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a0e019c41de8c2e1803642700ca64db59"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_video_renderer-p.html#a0e019c41de8c2e1803642700ca64db59">setSize:</a></td></tr>
<tr class="separator:a0e019c41de8c2e1803642700ca64db59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08a1f4112d437a8c2014e531db1aecbb"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_r_t_c_video_renderer-p.html#a08a1f4112d437a8c2014e531db1aecbb">renderFrame:</a></td></tr>
<tr class="separator:a08a1f4112d437a8c2014e531db1aecbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Method Documentation</h2>
<a id="a08a1f4112d437a8c2014e531db1aecbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08a1f4112d437a8c2014e531db1aecbb">&#9670;&nbsp;</a></span>renderFrame:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) renderFrame: </td>
          <td></td>
          <td class="paramtype">(nullable <a class="el" href="interface_r_t_c_video_frame.html">RTCVideoFrame</a> *)&#160;</td>
          <td class="paramname"><em>frame</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The frame to be displayed. </p>

</div>
</div>
<a id="a0e019c41de8c2e1803642700ca64db59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e019c41de8c2e1803642700ca64db59">&#9670;&nbsp;</a></span>setSize:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) setSize: </td>
          <td></td>
          <td class="paramtype">(CGSize)&#160;</td>
          <td class="paramname"><em>size</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The size of the frame. </p>

</div>
</div>
<hr/>The documentation for this protocol was generated from the following file:<ul>
<li><a class="el" href="_r_t_c_video_renderer_8h_source.html">RTCVideoRenderer.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
